Download it now!
Bug 55367 - CALC FUNCTION CONVERT_ADD wrong convertion factor for "tspm"
Summary: CALC FUNCTION CONVERT_ADD wrong convertion factor for "tspm"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: Other All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:3.7.0 target:3.6.4
Keywords:
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-09-26 20:59 UTC by Horst
Modified: 2012-10-11 11:52 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
proposed patch (937 bytes, patch)
2012-10-07 20:50 UTC, Julien Nabet
Details
Conversion table OASIS-LO see comment (15.92 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-10-07 23:01 UTC, Horst
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Horst 2012-09-26 20:59:03 UTC
The CONVERT_ADD function returns 2ml (milli liter) for 1 tspm (modern teaspoon) instead of the correct 5ml.
Comment 1 Julien Nabet 2012-10-07 20:50:02 UTC
Created attachment 68229 [details]
proposed patch

On pc Debian x86-64 with 3.6 branch updated today, I reproduced the pb.
I propose this patch.

The only problem is other measures seem wrong, for example "tsp".
So even I missed something, even the conversion values must be (all?) checked.
Comment 3 Horst 2012-10-07 23:01:49 UTC
Created attachment 68234 [details]
Conversion table OASIS-LO see comment

Attached a CALC sheet containing a fusion of OASIS Convert Table and LO implementation (Sheet2).
Sheet1 is LO table as used in CALC-Help corrected with missing stuff.

You can use it to insert in help-files if you want.

"tsp" looks ok to me 1/6 oz as defined.
Comment 4 Julien Nabet 2012-10-09 18:55:07 UTC
Sorry, you were right Horst (see http://en.wikipedia.org/wiki/Cooking_weights_and_measures)
Comment 5 Not Assigned 2012-10-09 19:50:55 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f35bbfe408f662a74101598e71d6b2970796036

Resolves: fdo#55367 wrong convertion factor for "tspm"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Horst 2012-10-11 00:22:03 UTC
Patch works in 3.7 master 10-10-2012.
Comment 7 Not Assigned 2012-10-11 10:13:00 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac49fba7abfa70c3c30314e09d2170218ff4e7b2&g=libreoffice-3-6

Resolves: fdo#55367 wrong convertion factor for "tspm"


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Julien Nabet 2012-10-11 11:52:49 UTC
To sum up, the fix will be present from 3.6.4 release.